Include "param.pro";

//air box
p1=newp; Point(p1) = {axl, ayb, azf, lc_air};
p2=newp; Point(p2) = {axr, ayb, azf, lc_air};
p3=newp; Point(p3) = {axr, ayt, azf, lc_air};
p4=newp; Point(p4) = {axl, ayt, azf, lc_air};

l1=newreg; Line(l1) = {p1,p2};
l2=newreg; Line(l2) = {p2,p3};
l3=newreg; Line(l3) = {p3,p4};
l4=newreg; Line(l4) = {p4,p1};

loop = newreg; Line Loop(loop)={l1,l2,l3,l4};
surf = newreg; Plane Surface(surf)={loop};
temp[] = Extrude{0,0,azb-azf}{Surface{surf};};

air_volume = temp[1];
air_skin[] = Boundary{Volume{air_volume};};

air_surf_loop = newreg;
Surface Loop(air_surf_loop)={air_skin[]};

Printf("Air volume : %g", air_volume);
Printf("Air skin   : %g, %g, %g, %g...", air_skin[0],
                                          air_skin[1], air_skin[2], air_skin[3]); 

