Include "param.pro";

p1=newp;  Point(p1) ={Inductor_cx-Inductor_dx, Inductor_cy-Inductor_Lyz/2, Inductor_cz,             Inductor_lc};
p2=newp;  Point(p2) ={Inductor_cx,             Inductor_cy-Inductor_Lyz/2, Inductor_cz-Inductor_dx, Inductor_lc};
p3=newp;  Point(p3) ={Inductor_cx+Inductor_dx, Inductor_cy-Inductor_Lyz/2, Inductor_cz,             Inductor_lc};
p4=newp;  Point(p4) ={Inductor_cx,             Inductor_cy-Inductor_Lyz/2, Inductor_cz+Inductor_dx, Inductor_lc};
p5=newp;  Point(p5) ={Inductor_cx-Inductor_Dx, Inductor_cy-Inductor_Lyz/2, Inductor_cz,             Inductor_lc};
p6=newp;  Point(p6) ={Inductor_cx,             Inductor_cy-Inductor_Lyz/2, Inductor_cz-Inductor_Dx, Inductor_lc};
p7=newp;  Point(p7) ={Inductor_cx+Inductor_Dx, Inductor_cy-Inductor_Lyz/2, Inductor_cz,             Inductor_lc};
p8=newp;  Point(p8) ={Inductor_cx,             Inductor_cy-Inductor_Lyz/2, Inductor_cz+Inductor_Dx, Inductor_lc};

pc=newp; Point(pc) ={Inductor_cx, Inductor_cy-Inductor_Lyz/2, Inductor_cz};

l1=newreg;  Circle(l1) ={p1,  pc,  p2};
l2=newreg;  Circle(l2) ={p2,  pc,  p3};
l3=newreg;  Circle(l3) ={p3,  pc,  p4};
l4=newreg;  Circle(l4) ={p4,  pc,  p1};
l5=newreg;  Circle(l5) ={p5,  pc,  p6};
l6=newreg;  Circle(l6) ={p6,  pc,  p7};
l7=newreg;  Circle(l7) ={p7,  pc,  p8};
l8=newreg;  Circle(l8) ={p8,  pc,  p5};

loop1 = newreg; Line Loop(loop1)={l1, l2, l3, l4}; 
loop2 = newreg; Line Loop(loop2)={l5, l6, l7, l8};
surf1 = newreg; Plane Surface(surf1) = {loop1, loop2};

ind[] = Extrude{0,Inductor_Lyz,0}{Surface{surf1};};

ind_volume = ind[1];
ind_skin[] = Boundary{Volume{ind_volume};};

ind_surf_loop = newreg;
Surface Loop(ind_surf_loop)={ind_skin[]};


Printf("Ind volume : %g", ind_volume);
Printf("Ind skin   : %g, %g, %g, %g...", ind_skin[0],
                                          ind_skin[1], ind_skin[2], ind_skin[3]); 




