Include "param.pro";

//add the core
Include "core.geo";

//make the left core halve (mirrored duplicata)

tmp[] = Symmetry {1, 0, 0, gap/2}{Duplicata{Volume{core_volume};}};
leftcore_volume=tmp[0];

leftcore_skin[] = Boundary{Volume{leftcore_volume};};

leftcore_surf_loop = newreg;
Surface Loop(leftcore_surf_loop)={leftcore_skin[]};

//Printf("leftcore volume : %g", leftcore_volume);
//Printf("leftcore skin   : %g, %g, %g, %g...", leftcore_skin[0],
//                                          leftcore_skin[1], leftcore_skin[2], leftcore_skin[3]); 


//add inductor
Include "inductor.geo";

//add aitbox
Include "air.geo";

//make cuts in airbox for core, inductor,...
Delete{Volume{air_volume};}

air_volume = newreg;
Volume(air_volume)={air_surf_loop, ind_surf_loop, core_surf_loop,
                    leftcore_surf_loop
                    };


//physical stuff
Physical Volume(CORE)      = {core_volume};     //right half core
Physical Volume(LEFT_CORE) = {leftcore_volume}; //left  half core
Physical Volume(INDUCTOR)  = {ind_volume};      //inductor
Physical Volume(AIR)       = {air_volume};      //air

//boundaries to set boundary conditions
Physical Surface(SKIN_AIR)      = {air_skin[]};      //outer skin airbox
Physical Surface(SKIN_CORE)     = {core_skin[]};     //skin core
Physical Surface(SKIN_LEFTCORE) = {leftcore_skin[]}; //skin leftcore

